Current location

narf Source control manager Git

summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorshtrom <shtrom@1991c358-8f32-0410-a49a-990740bdf4c2>2009-03-16 13:03:29 +0000
committershtrom <shtrom@1991c358-8f32-0410-a49a-990740bdf4c2>2009-03-16 13:03:29 +0000
commit73b4e20b8a3db24f396499c38175bfab39fccd5b (patch)
tree378b192467f93d5b96b7e65c1fe13b5f7a2930d9 /openbsd
parente1f8b7457a9ff7bb30f5aa948ff1b0837de0c0c4 (diff)
[OpenBSD scripts] Prevent DenyHosts.sh from printing messages when nothing new.
git-svn-id: svn+ssh://scm.narf.ssji.net/svn/shtrom/scripts@499 1991c358-8f32-0410-a49a-990740bdf4c2
Diffstat (limited to 'openbsd')
-rwxr-xr-xopenbsd/denyhost.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/openbsd/denyhost.sh b/openbsd/denyhost.sh
index 21574db..9a57dfd 100755
--- a/openbsd/denyhost.sh
+++ b/openbsd/denyhost.sh
@@ -43,4 +43,4 @@ for IP in `grep -v -f /var/tmp/blockers.list $NEW_FILE`; do
done
mv $NEW_FILE /var/tmp/blockers.list
-pfctl -t kiddies -vTadd -f /var/tmp/blockers.list > /dev/null
+pfctl -t kiddies -vTadd -f /var/tmp/blockers.list 2>&1 1>/dev/null | grep -v "^0" || true